Subject: Re: Libtool 2.4.6 vs. 2.4.7

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 14 Apr 2022 13:29:46 +0200

Am Donnerstag, dem 14.04.2022 um 11:53 +0200 schrieb Andreas Enge:
> Hello,
> 
> is there a good reason to have added libtool-2.4.7 without it
> replacing the libtool variable (at version 2.4.6)? 
libtool causes at least 13802 (mere two thirds of all our packages), so
one might want to ensure that there are no gratuitous bumps when making
new versions of it available :)

> I have installed [email-masked] into my profile
That is a mistake.

> as well as a number of other development tools
Probably also a mistake.

> [A]pparently both libtool versions are now used
> and are colliding when
> doing
>    autoreconf -vf && ./configure && make
> in my project:
> 
> make[2]: Verzeichnis „/home/enge/Programme/paritwine/git/src“ wird
> betreten
> /bin/sh ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -
> I.     -g -O2 -MT conversions.lo -MD -MP -MF .deps/conversions.Tpo -c
> -o conversions.lo conversions.c
> libtool: Version mismatch error.  This is libtool 2.4.6, but the
> libtool: definition of this LT_INIT comes from libtool 2.4.7.
> libtool: You should recreate aclocal.m4 with macros from libtool
> 2.4.6
> libtool: and run autoconf again.
> 
> I can solve the problem by downgrading to [email-masked] in my
> profile, but would argue that this defeats the purpose of adding the
> new variable at all.
I think the problem is caused in the ../libtool symlink, which is
probably not updated to reflect your installation.  This is a known
issue with stale build files, which also happens if you garbage-collect
stuff.  distclean or maintainerclean should solve your issue.  Or you
might just as well delete the symlink manually :)

Cheers